Subject: Re: bug#5958: Sort-8.4 bug

From: Jim Meyering <[email-masked]>
Date: Sun, 18 Apr 2010 10:47:13 +0200

[email-masked] wrote:
> Eric Blake writes:
>> On 04/16/2010 04:58 AM, Santiago Rodriguez wrote:
>> > I think I have found a bug in sort coreutils command. When I type
>> >
>> > sort -T /tmp +1 -2 +2rn -3 +0 -1<<EOF
>> > perra/S perra 2.200000
>> > perro/PS perra 4.400000
>> > EOF
>>
>> Thanks for the report; however, this is not a bug.
>>
>> The syntax 'sort +1' is obsolete.  You are better off rewriting your
>
> When you pry it from my cold dead hands...

It has been declared "obsolete" for a good reason: it is ambiguous.
If you require that syntax, use some other sort program.